{paper_id}: Details about a paper

API: semanticscholar.org:semantic-scholar-api
Endpoint: /paper/{paper_id}
Response format: text/html +1 format
Auth: unknown
Method: GET
Last Status: 403
Latency: 137ms

Description

Examples: <ul> <li><code>https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b</code></li> <ul> <li>Returns a paper with its paperId and title. </li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b?fields=url,year,authors</code></li> <ul> <li>Returns the paper's paperId, url, year, and list of authors. </li> <li>Each author has authorId and name.</li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b?fields=citations.authors</code></li> <ul> <li>Returns the paper's paperId and list of citations. </li> <li>Each citation has its paperId plus its list of authors.</li> <li>Each author has their 2 always included fields of authorId and name.</li> </ul> <br> Limitations: <ul> <li>Can only return up to 10 MB of data at a time.</li> </ul> </ul>

Parameters (2)

fields (string, query, optional)

A comma-separated list of the fields to be returned. See the contents of Response Schema below for a list of all available fields that can be returned. The <code>paperId</code> field is always returned. If the fields parameter is omitted, only the <code>paperId</code> and <code>title</code> will be returned. <p>Use a period (“.”) for fields that have version numbers or subfields, such as the <code>embedding</code>, <code>authors</code>, <code>citations</code>, and <code>references</code> fields: <ul> <li>When requesting <code>authors</code>, the <code>authorId</code> and <code>name</code> subfields are returned by default. To request other subfields, use the format <code>author.url,author.paperCount</code>, etc. See the Response Schema below for available subfields.</li> <li>When requesting <code>citations</code> and <code>references</code>, the <code>paperId</code> and <code>title</code> subfields are returned by default. To request other subfields, use the format <code>citations.title,citations.abstract</code>, etc. See the Response Schema below for available subfields.</li> <li>When requesting <code>embedding</code>, the default <a href="https://github.com/allenai/specter">Spector embedding version</a> is v1. Specify <code>embedding.specter_v2</code> to select v2 embeddings.</li> </ul> Examples: <ul> <li><code>fields=title,url</code></li> <li><code>fields=title,embedding.specter_v2</code></li> <li><code>fields=title,authors,citations.title,citations.abstract</code></li> </ul>

paper_id (string, path, required)

The following types of IDs are supported: <ul> <li><code>&lt;sha&gt;</code> - a Semantic Scholar ID, e.g. <code>649def34f8be52c8b66281af98ae884c09aef38b</code></li> <li><code>CorpusId:&lt;id&gt;</code> - a Semantic Scholar numerical ID, e.g. <code>CorpusId:215416146</code></li> <li><code>DOI:&lt;doi&gt;</code> - a <a href="http://doi.org">Digital Object Identifier</a>, e.g. <code>DOI:10.18653/v1/N18-3011</code></li> <li><code>ARXIV:&lt;id&gt;</code> - <a href="https://arxiv.org/">arXiv.rg</a>, e.g. <code>ARXIV:2106.15928</code></li> <li><code>MAG:&lt;id&gt;</code> - Microsoft Academic Graph, e.g. <code>MAG:112218234</code></li> <li><code>ACL:&lt;id&gt;</code> - Association for Computational Linguistics, e.g. <code>ACL:W12-3903</code></li> <li><code>PMID:&lt;id&gt;</code> - PubMed/Medline, e.g. <code>PMID:19872477</code></li> <li><code>PMCID:&lt;id&gt;</code> - PubMed Central, e.g. <code>PMCID:2323736</code></li> <li><code>URL:&lt;url&gt;</code> - URL from one of the sites listed below, e.g. <code>URL:https://arxiv.org/abs/2106.15928v1</code></li> </ul> URLs are recognized from the following sites: <ul> <li><a href="https://www.semanticscholar.org/">semanticscholar.org</a></li> <li><a href="https://arxiv.org/">arxiv.org</a></li> <li><a href="https://www.aclweb.org">aclweb.org</a></li> <li><a href="https://www.acm.org/">acm.org</a></li> <li><a href="https://www.biorxiv.org/">biorxiv.org</a></li> </ul>

Examples (3)

Get paper with default fields curl
curl 'https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b' \
  -d '{"message": "Too Many Requests. Please wait and try again or apply for a key for higher rate limits. https://www.semanticscholar.org/product/api#api-key-form", "code": "429"}'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b",
    json={
        'message': 'Too Many Requests. Please wait and try again or apply for a key for higher rate limits. https://www.semanticscholar.org/product/api#api-key-form',
        'code': '429',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/{paper_id}")

for item in result:
    print(item)
const body = {
  "message": "Too Many Requests. Please wait and try again or apply for a key for higher rate limits. https://www.semanticscholar.org/product/api#api-key-form",
  "code": "429"
};

const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Get paper with specific fields curl
curl 'https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b?fields=title%2Cauthors%2Cyear%2Cabstract%2CcitationCount'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b",
    params={
        'fields': 'title,authors,year,abstract,citationCount',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/{paper_id}", fields="title,authors,year,abstract,citationCount")

for item in result:
    print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b?fields=title%2Cauthors%2Cyear%2Cabstract%2CcitationCount");
const data = await resp.json();
Get paper using arXiv ID curl
curl 'https://api.semanticscholar.org/graph/v1/paper/arXiv:1705.04304' \
  -d '{"message": "Too Many Requests. Please wait and try again or apply for a key for higher rate limits. https://www.semanticscholar.org/product/api#api-key-form", "code": "429"}'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/paper/arXiv:1705.04304",
    json={
        'message': 'Too Many Requests. Please wait and try again or apply for a key for higher rate limits. https://www.semanticscholar.org/product/api#api-key-form',
        'code': '429',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/{paper_id}")

for item in result:
    print(item)
const body = {
  "message": "Too Many Requests. Please wait and try again or apply for a key for higher rate limits. https://www.semanticscholar.org/product/api#api-key-form",
  "code": "429"
};

const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/arXiv:1705.04304", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:41:48.515725 403 137ms
2026-04-16 03:10:52.059559 403 149ms
2026-04-16 01:29:45.037226 200 615ms
2026-04-16 00:04:35.376805 403 153ms
2026-04-15 02:35:59.262018 403 124ms
2026-04-15 02:31:36.870239 403 157ms
2026-04-15 02:22:07.640358 429 585ms
2026-04-14 01:29:25.702237 403 159ms
2026-04-14 00:21:24.332723 403 133ms
2026-04-14 00:20:15.510271 429 454ms
2026-04-12 16:05:46.190559 403 223ms
2026-04-12 13:14:29.673832 429 283ms
2026-04-12 12:33:37.157032 403 118ms
2026-04-10 01:53:01.785701 403 1640ms
2026-04-10 01:28:27.488441 200 537ms
2026-04-10 01:14:36.605229 403 506ms
2026-04-09 01:23:05.830987 403 161ms
2026-04-09 01:21:28.101932 429 374ms
2026-04-09 00:35:36.012570 403 166ms
2026-03-23 10:49:16.007560 403 96ms
2026-03-23 10:17:14.177395 403 109ms
2026-03-23 09:28:33.954859 429 949ms